Bug 403271

Summary: krunner date/time plugin doesn't work as expected.
Product: [Frameworks and Libraries] frameworks-krunner Reporter: ilkerk
Component: generalAssignee: Kai Uwe Broulik <kde>
Status: RESOLVED FIXED    
Severity: normal CC: aleixpol, nate
Priority: NOR    
Version: 5.53.0   
Target Milestone: ---   
Platform: Kubuntu   
OS: Linux   
Latest Commit: Version Fixed In: 5.15.0
Sentry Crash Report:

Description ilkerk 2019-01-16 14:05:32 UTC
SUMMARY
krunner date/time plugin doesn't work as expected. 

STEPS TO REPRODUCE
1. Type "time istanbul" and observe it doesn't bring current time
2. Now type "time europe/istanbul" and observe it works
3. 

OBSERVED RESULT


EXPECTED RESULT

Typing "time Istanbul" should bring current time in istanbul. At some point this was working. I am on Kubuntu 18.10, krunner version 5.14.5

thanks.

SOFTWARE/OS VERSIONS
Windows: 
MacOS: 
Linux/KDE Plasma: 
(available in About System)
KDE Plasma Version: 
KDE Frameworks Version: 
Qt Version: 

ADDITIONAL INFORMATION
Comment 1 Kai Uwe Broulik 2019-01-16 14:31:27 UTC
Aleix, didn't you do a patch for that recently?
Comment 2 Aleix Pol 2019-01-16 15:53:34 UTC
Something similar but not exactly that. It could be useful, I'll look.
Comment 3 Aleix Pol 2019-01-17 02:47:50 UTC
Git commit e0e3f5523335046e3bb26b4c1728e35904fe4064 by Aleix Pol.
Committed on 17/01/2019 at 02:45.
Pushed by apol into branch 'master'.

date runner: match timezones by whether it's contained

Having to match Paris by "Europe/Par" is not intuitive.

M  +3    -3    runners/datetime/datetimerunner.cpp

https://commits.kde.org/kdeplasma-addons/e0e3f5523335046e3bb26b4c1728e35904fe4064